Subject: bug#20628: closed (Re: bug#20628: 25.0.50; Incorrect line height for some fonts)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 06 Jun 2015 13:15:05 +0000

Your bug report

#20628: 25.0.50; Incorrect line height for some fonts

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
20628: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=20628
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#20628: 25.0.50; Incorrect line height for some fonts
From: Eli Zaretskii <[email-masked]>
To: [email-masked], [email-masked]
Cc: [email-masked]
Date: Sat, 06 Jun 2015 16:14:41 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Mon, 01 Jun 2015 17:49:17 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> > From: Oleh Krehel <[email-masked]>
> > Cc: [email-masked],  [email-masked]
> > Date: Mon, 01 Jun 2015 12:54:28 +0200
> > 
> > Eli Zaretskii <[email-masked]> writes:
> > 
> > > I couldn't actually reproduce such crashes on my system, but I made a
> > > few changes that hopefully will prevent them.  Could you please see if
> > > the latest branch tip still crashes under some circumstances?
> > 
> > Thanks, the crash no longer occurs with your latest change.
> 
> Great!
> 
> I will wait a few more days, in the hope that more people could check
> out the branch and provide feedback, and will merge it then, barring
> any new problems.

The changes are now merged with master.

I'm marking this bug "done".

Thanks again to everyone for their help.

Subject: 25.0.50; Incorrect line height for some fonts
From: Clément Pit--Claudel<[email-masked]>
To: [email-masked]
Date: Thu, 21 May 2015 23:02:06 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Some Unicode characters incorrectly increase the height of the line on which
they are inserted, by an incorrect amount (typically 4/5 times the normal line
height). This is due to Emacs falling back to a font for which line height
calculations are incorrect. The problem can generally be reproduced just by
inputing the following characters:

  (𝓝𝓟)

Alternatively, the problem can be reproduced by switching to certain
specific fonts. For example:

  (set-frame-font "-unknown-Latin Modern Math-normal-normal-normal-*-*-*-*-*-*-0-iso10646-1" nil nil)

This problem is not specific to 25.0.50. It is discussed on stackexchange [1]
and the effect can be observed in [2]. It only occurs with specific fonts. It
particularly impacts packages that rely on prettify-symbols-mode to display math
symbols; when users install the package, some lines in the buffer start being 4
or 5 times taller than other lines, although no characters on the affected lines
stand out. For this reason, even if this is likely a problem in the way the
fonts are packaged, it would be nice to have a workaround at the Emacs level.

Emacs is the only program on my system that displays this behaviour; typing the
same text in gedit or switching gedit to one of the misbehaving fonts, for
example, does not affect the line height.

[1] http://emacs.stackexchange.com/questions/251/
[2] https://cloud.githubusercontent.com/assets/2506825/7760973/67ceaaea-ffd5-11e4-8bf6-d796aa162b0e.png

---

In GNU Emacs 25.0.50.4 (x86_64-unknown-linux-gnu, GTK+ Version 3.10.8)
 of 2015-05-14 on c-mint
Windowing system distributor `The X.Org Foundation', version 11.0.11501000
System Description:	Linux Mint 17.1 Rebecca

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GCONF GSETTINGS
NOTIFY ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB

Important settings:
  value of $LC_TIME: en_DK.UTF-8
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr emacsbug message dired format-spec
rfc822 mml easymenu mml-sec mm-decode mm-bodies mm-encode mail-parse
rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045
ietf-drums mm-util help-fns mail-prsvr mail-utils mule-util time-date
tooltip eldoc electric uniquify ediff-hook vc-hooks lisp-float-type
mwheel x-win term/common-win x-dnd tool-bar dnd fontset image regexp-opt
fringe tabulated-list newcomment elisp-mode lisp-mode prog-mode register
page menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock
font-lock syntax facemenu font-core frame cl-generic cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
minibuffer cl-preloaded nadvice loaddefs button faces cus-face macroexp
files text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote dbusbind gfilenotify
dynamic-setting system-font-setting font-render-setting move-toolbar gtk
x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 76472 5652)
 (symbols 48 18496 0)
 (miscs 40 87 99)
 (strings 32 11421 4141)
 (string-bytes 1 314062)
 (vectors 16 9839)
 (vector-slots 8 396279 11643)
 (floats 8 102 46)
 (intervals 56 177 0)
 (buffers 976 11)
 (heap 1024 40850 1039))